# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_7b6qleaom7/clone/recipe, last modified Thu May 25 15:20:34 2023
# ------------------------------------------------

package:
  name: python-kubernetes
  version: 21.7.0
source:
  sha256: c9849afc2eafdce60efa210049ee7a94e7ef6cf3a7afa14a69b3bf0447825977
  url: https://pypi.io/packages/source/k/kubernetes/kubernetes-21.7.0.tar.gz
build:
  number: '1'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_7b6qleaom7/croot/python-kubernetes_1685046044421/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py38hecd8cb5_1
requirements:
  host:
    - ca-certificates 2023.01.10 hecd8cb5_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py38hecd8cb5_0
    - python 3.8.16 h218abb5_3
    - readline 8.2 hca72f7f_0
    - setuptools 66.0.0 py38hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - wheel 0.38.4 py38hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - certifi >=14.05.14
    - google-auth >=1.0.1
    - python >=3.8,<3.9.0a0
    - python-dateutil >=2.5.3
    - pyyaml >=5.4.1
    - requests
    - requests-oauthlib
    - six >=1.9.0
    - urllib3 >=1.24.2
    - websocket-client >=0.32.0,!=0.40.0,!=0.41.*,!=0.42.*
test:
  commands:
    - pip check
  imports:
    - kubernetes
    - kubernetes.client
    - kubernetes.client.api
    - kubernetes.client.apis
    - kubernetes.client.models
    - kubernetes.config
    - kubernetes.utils
    - kubernetes.watch
  requires:
    - pip
about:
  description: Python client for kubernetes http://kubernetes.io/
  dev_url: https://github.com/kubernetes-client/python
  doc_url: https://github.com/kubernetes-client/python/blob/master/README.md
  home: https://github.com/kubernetes-client/python
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: The official Kubernetes python client.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 7b929961-d53c-460c-95b4-7b882d0676ab
  recipe-maintainers:
    - johanneskoester
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/python-kubernetes-feedstock.git
  sha: 4f1c6c0f3324e5ee80c6d016f66e5964526facbe
